#!/bin/bash
# numeros.sh: Representación de números en diferentes bases

# Decimal: defecto
let "dec = 32"
echo "Número decimal = $dec"             # 32
# Nada fuera de lo normal


# Octal: Números precedidos por '0' (cero)
let "oct = 032"
echo "Número Octal = $oct"               # 26
# El resultado se expresa en decimal

# Hexadecimal: Números precedidos por '0x' o '0X'
let "hex = 0x32"
echo "Número hexadecimal = $hex"         # 50
# El resultado se expresa en decimal

# Otras bases: BASE#NUMERO
# BASE entre 2 y 64.
# NUMERO debe estar comprendido en el rango de la base


let "bin = 2#111100111001101"
echo "Número binario = $bin"              # 31181

let "b32 = 32#77"
echo "Número base-32 = $b32"             # 231

let "b64 = 64#@_"
echo "Número base-64 = $b64"             # 4031
# Esta notificación sólo funciona para el rango (2 - 64)
# de caracteres ASCII.
# 10 dígitos + 26 caracteres en minúscula + 
# 26 caracteres en mayúscula + @ + _


echo

echo $((36#zz)) $((2#10101010)) $((16#AF16)) $((53#1aA))
                                         # 1295 170 44822 3375


#  Nota importante:
#  --------------
#  Usar un dígito fuera del rango de la base con la que se trabaja
#  provoca un mensaje de error

let "bad_oct = 081"
# (Parcial) Mensaje de error:
#  bad_oct = 081: valor demasiado grande para la base 
# (el elemento de error es "081")

