#!/bin/bash
# monitorPing.sh
# Monitorizado de máquinas mediante el uso de ping

 
# Listado de ip/hostnames separados por espacios
HOSTS="192.168.0.1 localhost"
 
# Sin respuesta al ping
COUNT=1
 
# Definición del email de error
SUBJECT="Fallo de comunicación ping"
EMAILID="gonzalo@server1"
for myHost in $HOSTS
do
  count=$(ping -c $COUNT $myHost | grep 'received' | awk -F',' '{ print $2 }' | awk '{ print $1 }')
  if [ $count -eq 0 ]; then
    # 100% error
    echo "Host : $myHost está caído (falla el ping) en $(date)" | mail -s "$SUBJECT" $EMAILID
  fi
done

