#!/bin/bash
# monitorHardware.sh
# Detecta errores hardware mediante el demonio mcelog y los notifica vía mail

LOGGER=/usr/bin/logger
FILE=/var/log/mcelog

EMAIL="gonzalo@server1"
ASUNTO="Error HARDWARE- $(hostname)"
MENSAJE="Warning - Errores hardware detectado en $(hostname) @ $(date). Vea el fichero de log /var/log/mcelog para más detalles."
OK_MENSAJE="$0 - OK: NO se han detectado errores hardware."
WARNING_MENSAJE="$0 - ERROR: Error de hardware detectado."
 
die(){
	echo "$@"
	exit 1
}
 
warn(){
	echo $MENSAJE | email -s "${ASUNTO}" ${EMAIL}
	$LOGGER "$WARNING_MENSAJE"
}
 
[ ! -f "$FILE" ] && die "Error - No existe el fichero $FILE o mcelog no está configurado"
[ $(grep -c -i "hardware error" $FILE) -gt 0 ] && warn || $LOGGER $OK_MENSAJE

