#!/bin/bash
# Bloquea las cuentas de usuario sin contraseña
#
# Email del administrador del sistema
ADMINEMAIL="gonzalo@server1"
 
### No cambie nada de la parte inferior ###
#Fichero de LOG
LOG="/root/nopassword.lock.log"
STATUS=0
TMPFILE="/tmp/null.mail.$$"
 
echo "-------------------------------------------------------" >>$LOG
echo "Host: $(hostname),  Fecha de ejecución: $(date)" >> $LOG
echo "-------------------------------------------------------" >>$LOG
 
# Obtener todos los nombres de usuario
USERS="$(cut -d: -f 1 /etc/passwd)"
 
# Mostrar mensaje
echo "Buscando contraseñas nulas..."
for u in $USERS
do
  # Comprueba si la contraseña es nula o no
   passwd -S $u | grep -Ew "NP" >/dev/null
   if [ $? -eq 0 ]; then # Contraseña nula
     echo "$u" >> $LOG
     passwd -l $u #Bloquea la cuenta
     STATUS=1  #Actualiza el estado para indicar que se debe enviar un email
   fi
done
echo "========================================================" >>$LOG
if [ $STATUS -eq 1 ]; then
   echo "Por favor, compruebe las cuentas bloqueadas en el fichero $LOG " >$TMPFILE
   echo "-- $(basename $0) script" >>$TMPFILE
   mail -s "Cuentas sin contraseñas encontradas y bloqueadas" "$ADMINEMAIL" < $TMPFILE
#   rm -f $TMPFILE
fi

