#!/bin/bash
# backupSystem.sh
# Copia de los archivos fundamentales del sistema

DATOS="/home /root /usr/local/httpd"
CONFIGURACION="/etc /var/lib"
LISTA="/tmp/backlist_$$.txt"

#montado del disco destino de la copia
mount /mnt/backup
#obtención de los datos de la fecha
set $(date)

#tenga cuidado con el formato/idioma de la fecha
if test "$1" = "dom" ; then
        # Copia semanal completa
        # datos
        tar cfz "/mnt/backup/DATOS/DATOS_full_$6-$2-$3.tgz" $DATOS
        rm -f /mnt/backup/DATOS/DATOS_diff*
        # configuración
        tar cfz "/mnt/backup/CONFIGURACION/CONFIGURACION_full_$6-$2-$3.tgz" $CONFIGURACION
        rm -f /mnt/backup/CONFIGURACION/CONFIGURACION_diff*
else
        # Copia diaria incremental
        # datos
        find $DATOS -depth -type f \( -ctime -1 -o -mtime -1 \) -print > $LISTA
        tar cfzT "/mnt/backup/DATOS/DATOS_diff_$6-$2-$3.tgz" "$LISTA"
        rm -f "$LISTA"
        # configuración
        find $CONFIGURACION -depth -type f  \( -ctime -1 -o -mtime -1 \) -print > $LISTA
        tar cfzT "/mnt/backup/CONFIGURACION/CONFIGURACION_diff_$6-$2-$3.tgz" "$LISTA"
        rm -f "$LISTA"
fi

#Desmontar el disco de copias
umount /mnt/backup

