#!/bin/bash
# myBackupAddFiles.sh
# Añade ficheros/directorio a ~/.mybackup, que es el fichero contenedor
# de todos los ficheros/directorios a salvaguardar
#
# Uso   : ./myBackupAddFiles ~/public_html/
#
 
FICHERO=~/.mybackup
MYH=~
CWD=`pwd`
SRC=$1
 
if [ "$SRC" == "" ]; then
  echo "Debe indicar un fichero/directorio"
  exit 1
fi

# Si el fichero de listado no existe, se crea
[ ! -f $FICHERO ] && touch $FICHERO || :
 
# Se comprueba que el fichero/directorio indicado exista
if [ ! -f $SRC ]; then
   if [ ! -d $SRC ]; then
      echo "$SRC no existe"
      exit 2
   fi
fi

# Comprueba que no se dupliquen entradas en el listado
cat $FICHERO | grep -w $SRC > /dev/null
if [ "$?" == "0" ]; then
   echo "$SRC ya existe en $FICHERO"
   exit 3
fi

# Se añade el fichero/directorio al listado
echo "$SRC" >> $FICHERO
echo "$SRC añadido a $FICHERO"

