#!/bin/bash
# rsyncRemoto.sh
#
# Replicación (Backup) de un servidor en remoto mediante rsync


# Directorio local a copiar
LOCALBAKPOINT=/disk3
LOCALBAKDIR=/remote/home/httpd/

# Datos del servidor SSH remoto
# usuario
SSHUER=usuario 
 
# Host/servidor IP
SSHSERVER=10.10.11.12 
 
#Directorio de backup remoto
SSHBACKUPROOT=/disk2.backup/hot/ 
 
rsync --exclude '*access.log*' --exclude '*error.log*' -avz -e 'ssh ' ${SSHUER}@${SSHSERVER}:${SSHBACKUPROOT} ${LOCALBAKPOINT}${LOCALBAKDIR}
 
# Creación de un fichero de log del proceso en /var/log/messages
[ $? -eq 0 ] && logger 'RSYNC BACKUP : OK' || logger 'RSYNC BACKUP : FALLO!'
 
# Duplicación del backup en /disk1 y /disk2
SRC=${LOCALBAKPOINT}${LOCALBAKDIR}
DST="/disk1/remote /disk2/remote"
for d in $DST
do
 [ ! -d $d ] && mkdir -p $d || :
 rsync -avr $SRC $d
done

