#!/bin/bash
# infoGrupo.sh
# Determina los usuarios en un grupo

# Comprobación de los argumentos
if [ $# -ne "1" ] ; then
  	echo "Uso: `basename $0` grupo"
  	exit 1
fi

GRUPO=$1   

# Comprobar si el grupo existe previamente (fichero /etc/group)
cut -d: -f1 /etc/group | grep "$GRUPO" > /dev/null
EXISTE=$?

if [ $EXISTE -ne 0 ] ; then 
	echo "El grupo $GRUPO no existe"
	exit 2
fi    

#El grupo existe 
GID=`grep "$GRUPO:" /etc/group | cut -d: -f3` 
echo "El número del grupo $GRUPO es $GID" 
 
# busca usuarios con este grupo primario (fichero /etc/passwd)
echo "Usuarios en este grupo como primario:" 
# corta los campos usuario e id grupo,
# selecciona líneas con $GID al final, 
# luego corta el GID, dejando el nombre de usuario 
cat /etc/passwd | cut -d: -f1,4 | grep :$GID | cut -d: -f1  

# busca usuarios con este grupo secundario (fichero /etc/group)
echo "Usuarios en este grupo como secundario:"
grep $GRUPO: /etc/group | cut -d: -f4 | tr "," " "

